ALLELECOUNTER(1)

NAME
alleleCounter - NGS copy number algorithms

SYNOPSIS
alleleCounter -l loci_file.txt -b sample.bam -o output.txt [-m int] [-r ref.fa.fai]

DESCRIPTION
Support code for NGS copy number algorithms. Takes a file of locations and a [cr|b]am file and generates a count of coverage of each allele [ACGT] at that location (given any filter settings).

OPTIONS

-l  --loci-file [file]
    Path to loci file.

-b  --hts-file [file]
    Path to sample HTS file.

-o  --output-file [file]
    Path write output file.

  Optional

-r  --ref-file [file]
    Path to reference fasta index file. NB. If cram format is supplied via -b and the reference listed in the cram header

    can't be found alleleCounter may fail to work correctly.

-m  --min-base-qual [int]
    Minimum base quality [Default: 20].

-q  --min-map-qual [int]
    Minimum mapping quality [Default: 35].

-c  --contig [string]
    Limit calling to named contig.

-d  --dense-snps
    Improves performance where many positions are close together

-x  --is-10x
    Enables 10X processing mode. In this mode the HTS input file must be a cellranger produced BAM file. Allele counts are then given on a per-cellular barcode basis, with each count representing the consensus base for that UMI.

    by iterating through bam file rather than using a 'fetch' approach.

-f  --required-flag [int]
    Flag value of reads to retain in allele counting default: [3]. N.B. if the proper-pair flag is are selected, alleleCounter will assume paired-end and filter out any proper-pair flagged reads not in F/R orientation. -F --filtered-flag [int] Flag value of reads to exclude in allele counting default: [3852].

-v  --version
    Display version number.

-h  --help
    Display this usage information.

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.